# US ANSI Shifted symbols

These keycodes correspond to characters that are "shifted" on a standard US ANSI keyboards. They do not have dedicated keycodes but are instead typed by holding down shift and then sending a keycode. 

It's important to remember that all of these keycodes send a left shift - this may cause unintended actions if unaccounted for. The short code is preferred in most situations.

## US ANSI Shifted Keycodes

|Short Name|Long Name|Description|
|----------|---------|-----------|
|`KC_TILD`|`KC_TILDE`|tilde `~`|
|`KC_EXLM`|`KC_EXCLAIM`|exclamation mark `!`|
|`KC_AT`||at sign `@`|
|`KC_HASH`||hash sign `#`|
|`KC_DLR`|`KC_DOLLAR`|dollar sign `$`|
|`KC_PERC`|`KC_PERCENT`|percent sign `%`|
|`KC_CIRC`|`KC_CIRCUMFLEX`|circumflex `^`|
|`KC_AMPR`|`KC_AMPERSAND`|ampersand `&`|
|`KC_ASTR`|`KC_ASTERISK`|asterisk `*`|
|`KC_LPRN`|`KC_LEFT_PAREN`|left parenthesis `(`|
|`KC_RPRN`|`KC_RIGHT_PAREN`|right parenthesis `)`|
|`KC_UNDS`|`KC_UNDERSCORE`|underscore `_`|
|`KC_PLUS`||plus sign `+`|
|`KC_LCBR`|`KC_LEFT_CURLY_BRACE`|left curly brace `{`|
|`KC_RCBR`|`KC_RIGHT_CURLY_BRACE`|right curly brace `}`|
|`KC_LT`/`KC_LABK`|`KC_LEFT_ANGLE_BRACKET`|left angle bracket `<`|
|`KC_GT`/`KC_RABK`|`KC_RIGHT_ANGLE_BRACKET`|right angle bracket `>`|
|`KC_COLN`|`KC_COLON`|colon `:`|
|`KC_PIPE`||pipe `\|`|
|`KC_QUES`|`KC_QUESTION`|question mark `?`|
|`KC_DQT`/`KC_DQUO`|`KC_DOUBLE_QUOTE`|double quote `"`|
